<template>
  <v-container>
    <v-dialog v-model="dialog" persistent>
      <v-card>
        <v-card-text>
          <v-layout wrap>
            <v-flex xs12 class="text-xs-center">
              <v-btn block color="blue darken-1" @click="$emit('edit')" >Edit</v-btn>
            </v-flex>
            <v-flex xs12 my-2 class="text-xs-center">
              <v-btn block color="green darken-1" @click="$emit('delete')" >Delete</v-btn>
            </v-flex>
            <v-flex xs12 class="text-xs-center">
              <v-btn block color="red darken-1" @click="$emit('cancel')">Cancel</v-btn>
            </v-flex>
          </v-layout>
        </v-card-text>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>

export default {
  props: {
    dialog: {
      type: Boolean,
      required: true
    }
  }
}
</script>
